собратьМодульИзАрхива = (мир, архив, номерМодуля, указатель, описание, готово) =>
{
    var список = Object.keys(описание.структура).sort();
    var модуль =
        new Модуль(
            описание.имя,
            описание.версия,
            описание["🏠"],
            указатель,
            указатель + "/..",
            описание.структура
        );
    модуль.содержимое = {};

    function собратьМодуль(мир, список, номер, успех, провал)
    {
        const файл = список[номер];
        var свойства = описание.структура[файл];
        var тип = свойства.двоичный ? "arraybuffer" : "string";
        var путь = `${номерМодуля}${файл}`;
        архив.file(путь).async(тип).then(function(содержимое) {
            модуль.содержимое[файл] = содержимое;
            успех();
        });
    }
    
    мир.сделатьПоследовательно(
        мир,
        список,
        собратьМодуль,
        function() {
            готово(модуль);
        }
    );
};
